Bug 1568837 - ownership test fail
Summary: ownership test fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: mod_auth_mellon
Version: httpd24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.3
Assignee: Luboš Uhliarik
QA Contact: Branislav Náter
URL:
Whiteboard:
Depends On:
Blocks: 1567075
TreeView+ depends on / blocked
 
Reported: 2018-04-18 10:14 UTC by Branislav Náter
Modified: 2019-06-11 12:13 UTC (History)
2 users (show)

Fixed In Version: httpd24-mod_auth_mellon-0.14.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-11 12:12:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:1439 0 None None None 2019-06-11 12:12:59 UTC

Description Branislav Náter 2018-04-18 10:14:29 UTC
Description of problem:
general ownership test (https://tcms.engineering.redhat.com/case/475740/) found file that is not owned by httpd24 collection:

:: [ 19:03:08 ] :: [   FAIL   ] :: All files in /opt/rh/httpd24 owned by that collection 
:: [ 19:03:08 ] :: [   LOG    ] :: Files in the question:
<snip>
:: [ 19:03:09 ] :: [   LOG    ] :: /opt/rh/httpd24/root/usr/share/doc/httpd24-mod_auth_mellon
<snip>

Version-Release number of selected component (if applicable):
httpd24-mod_auth_mellon-0.13.1-2.el7

Comment 6 Branislav Náter 2019-04-03 08:41:54 UTC
Test is still failing with httpd24-mod_auth_mellon-0.14.0-2.el7

There is /opt/rh/httpd24/root/usr/share/doc/httpd24-mod_auth_mellon among other files that are not owned by collection

:: [ 14:31:56 ] :: [   LOG    ] :: Using package list
:: [ 14:31:58 ] :: [   LOG    ] :: Applying owner whitelist
:: [ 14:31:58 ] :: [   FAIL   ] :: All files in /opt/rh/httpd24 owned by that collection 
:: [ 14:31:58 ] :: [   LOG    ] :: Files in the question:
:: [ 14:31:58 ] :: [   LOG    ] :: /opt/rh/httpd24/root/usr/share/doc/httpd24-mod_auth_mellon <----------------
:: [ 14:31:58 ] :: [   LOG    ] :: /opt/rh/httpd24/root/var/lib/httpd/md
:: [ 14:31:58 ] :: [   LOG    ] :: /opt/rh/httpd24/root/var/lib/httpd/md/accounts
:: [ 14:31:58 ] :: [   LOG    ] :: /opt/rh/httpd24/root/var/lib/httpd/md/challenges
:: [ 14:31:58 ] :: [   LOG    ] :: /opt/rh/httpd24/root/var/lib/httpd/md/httpd.json
:: [ 14:31:58 ] :: [   LOG    ] :: /opt/rh/httpd24/root/var/lib/httpd/md/md_store.json
:: [ 14:31:58 ] :: [   LOG    ] :: /opt/rh/httpd24/root/var/lib/httpd/md/staging

Full testout.log: http://beaker-archive.host.prod.eng.bos.redhat.com/beaker-logs/2019/04/34507/3450791/6694127/90518868/taskout.log
Beaker job: https://beaker.engineering.redhat.com/tasks/executed?recipe_task_id=90520028&recipe_task_id=90518868&recipe_task_id=90521464&new_pkg_tasks=90520028,90518868,90521464

Comment 7 Branislav Náter 2019-04-03 13:33:23 UTC
Looks like test bug. I've tweaked whitelist. Switching back to ON_QA

Comment 10 errata-xmlrpc 2019-06-11 12:12:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:1439


Note You need to log in before you can comment on or make changes to this bug.